from .hdrx import *


class HDRX4xx(HDRX):

    """

    Main class of `HDRX4xx` object.
    Inherited from class `HDRX`.
    Class describes capabilities of 400th (4XX) series of HDMI devices in Sink (RX - receiver) rolee.

    """

    def __init__(self, port_io: PortIO, memory_manager: MemoryManager, capturer: Capturer):
        super().__init__(port_io, memory_manager, capturer)
